## Apemanfile Configurations

 + [$pkg](#apdoc-pkg)
 + [$proto](#apdoc-proto)
 + [$tmpls](#apdoc-tmpls)
 + [$tasks](#apdoc-tasks)
 + [$wtchs](#apdoc-wtchs)
 + [$needs](#apdoc-needs)

<a name="apdoc-pkg"></a>
### $pkg

| Name | Value |
| --- | ---- |
| name | apeman-proto-app |
| version | 2.0.1 |
| description | Prototype for app project. |

<a name="apdoc-proto"></a>
### $proto

+ [apeman-proto-mocha](https://github.com/apeman-proto-labo/apeman-proto-mocha#readme)
+ [apeman-proto-wtch](https://github.com/apeman-proto-labo/apeman-proto-wtch#readme)
+ [apeman-proto-abstract](https://github.com/apeman-proto-labo/apeman-proto-abstract#readme)

<a name="apdoc-tmpls"></a>
### $tmpls

| Path | Force | Mode | Tmpl | Data |
| ----  | ---- | ---- | --- | --- |
| **constants/.constants.js.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"consts... |
| **constants/index.js** | false | '644' | `/**	 * Exports constants modules.	 *	...` | {"params":{},"generator":"apeman-tmpl... |
| **errors/.html.bud** | false | '644' | `/**	 * Bud file for error	 * Executin...` | {"year":2016,"params":{"type":"error"... |
| **middlewares/index.js** | false | '644' | `/**	 * Exports middleware modules.	 *...` | {"params":{},"generator":"apeman-tmpl... |
| **public/humans.txt** | false | '644' | `{{! apeman-tmpl-humans }}	/* TEAM */	...` | {"params":{},"generator":"apeman-tmpl... |
| **public/robots.txt** | false | '644' | `{{! apeman-tmpl-robot }}# robot.txt	#...` | {"params":{"disallow":["errors","tmp"... |
| **routes/index.js** | false | '644' | `/**	 * Exports route modules.	 *	 * G...` | {"params":{},"generator":"apeman-tmpl... |
| **settings/index.js** | false | '644' | `/**	 * Project settings.	 *	 * Genera...` | {"params":{},"generator":"apeman-tmpl... |
| **tests/.test.js.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"route-... |

<a name="apdoc-tasks"></a>
### $tasks

| Name | Description |
| ----  | --- |
| **app:fmt** | Format a json file. |
| **app:mkdir** | Generate directories for app. |
| **app:render** | Render bud files. |
| **app:test** | ["mocha:run"] |
| **mocha:mkdir** | Generate directories for project with mocha. |
| **mocha:render** | Render files for project with mocha. |
| **mocha:run** | Run mocha tests. |
| **test:mkdir** | Generate directories. |
| **test:render** | Render coz bud files. |
| **wtch:list** | List available watches. |
| **wtch:start** | Start all watches. |

<a name="apdoc-wtchs"></a>
### $wtchs

| Name | Description |
| ----  | --- |
| **app:render** | {"pattern":"+(errors|constants|public|routes|tests|settings)/**/.*.bud"} |
| **test:render** | {"pattern":["tests/**/.*.bud"]} |

<a name="apdoc-needs"></a>
### $needs

| Bin | How to install |
| --- | ----- |
| **apeman** | `npm install -g apeman` |
| **mocha** | `npm install -g mocha` |

